#include <fstream.h>

struct tx
{
	long a,b;
};
ifstream in("box.in");
ofstream out("box.out");

bool hav(tx x,tx y)
{
	if ((x.a==y.a) && (x.b==y.b)) return true;
	if ((x.b==y.a) && (x.a==y.b)) return true;

	return false;
}

int main()
{
	tx mas[6]; bool is[6];

	for (int i=0;i<6;i++)
	{
		in>>mas[i].a>>mas[i].b;
		is[i]=false;
	}

	bool x=false;
	for (i=0;i<6;i++)
	if (!is[i])
	{
			x=false;
		for (int j=i+1;j<6;j++)
			if (!is[j])
			if (hav(mas[i],mas[j]))
			{ is[j]=true; x=true; break;}


		if (!x) break;
			
	}
	if (!x)
		out<<"IMPOSSIBLE";
	else
		out<<"POSSIBLE";


	
	return 0;
}